OpenVDB 5.1.0

Static Public Member Functions | List of all members
Sampler< 2, false > Struct Template Reference

`#include <Interpolation.h>`

Inherits QuadraticSampler.

## Static Public Member Functions
static const char * | name ()
static int | radius ()
static bool | mipmap ()
static bool | consistent ()
static bool | staggered ()
static size_t | order ()
template<class TreeT >
static bool | sample (const TreeT &inTree, const Vec3R &inCoord, typename TreeT::ValueType &result)
| Triquadratically reconstruct inTree at inCoord and store the result in result. More...
template<class TreeT >
static TreeT::ValueType | sample (const TreeT &inTree, const Vec3R &inCoord)
| Triquadratically reconstruct inTree at to inCoord. More...
template<class ValueT , size_t N>
static ValueT | triquadraticInterpolation (ValueT(&data)[N][N][N], const Vec3R &uvw)

## Member Function Documentation

## ◆ consistent()

static bool consistent | ( |  | ) |
| inline static inherited

## ◆ mipmap()

static bool mipmap | ( |  | ) |
| inline static inherited

## ◆ name()

static const char* name | ( |  | ) |
| inline static inherited

## ◆ order()

static size_t order | ( |  | ) |
| inline static inherited

## ◆ radius()

static int radius | ( |  | ) |
| inline static inherited

## ◆ sample() [1/2]

bool sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord,
|  | typename TreeT::ValueType & | result
| ) |  |
| inline static inherited

Triquadratically reconstruct inTree at inCoord and store the result in result.

Returns
  `true` if any one of the sampled values is active.

## ◆ sample() [2/2]

TreeT::ValueType sample | ( | const TreeT & | inTree,
|  | const Vec3R & | inCoord
| ) |  |
| inline static inherited

Triquadratically reconstruct inTree at to inCoord.

Returns
  the reconstructed value

## ◆ staggered()

static bool staggered | ( |  | ) |
| inline static inherited

## ◆ triquadraticInterpolation()

ValueT triquadraticInterpolation | ( | ValueT(&) | data[N][N][N],
|  | const Vec3R & | uvw
| ) |  |
| inline static inherited

The documentation for this struct was generated from the following file:

- Interpolation.h